import 'package:flutter/material.dart';

class PersonalInfoVisualizer extends StatefulWidget {
  const PersonalInfoVisualizer({
    this.uid,
    this.firstname,
    this.lastname,
    this.email,
    this.birthday,
    this.gender,
    this.country,
  });

  final String uid;
  final String firstname;
  final String lastname;
  final String email;
  final String birthday;
  final String gender;
  final String country;

  @override
  _PersonalInfoVisualizerState createState() => _PersonalInfoVisualizerState();
}

class _PersonalInfoVisualizerState extends State<PersonalInfoVisualizer> {
  getUserInfo() {}

  @override
  void initState() {
    super.initState();
    getUserInfo();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Color(0xff232d37),
      child: FractionallySizedBox(
        widthFactor: 0.85,
        child: Column(
          children: <Widget>[
            Spacer(flex: 1),
            Expanded(
              flex: 4,
              child: Text(
                "Welcome ${widget.firstname}",
                textAlign: TextAlign.center,
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 18,
                  //fontWeight: FontWeight.bold,
                  //fontStyle: FontStyle.italic,
                ),
              ),
            ),
            Expanded(
              flex: 4,
              child: Text(
                "${widget.firstname} ${widget.lastname}",
                textAlign: TextAlign.left,
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 14,
                  //fontWeight: FontWeight.bold,
                  //fontStyle: FontStyle.italic,
                ),
              ),
            ),
            Expanded(
              flex: 4,
              child: Text(
                "${widget.email}",
                textAlign: TextAlign.left,
                style: TextStyle(
                  color: Colors.white,
                  fontSize: 14,
                  //fontWeight: FontWeight.bold,
                  //fontStyle: FontStyle.italic,
                ),
              ),
            ),
            Spacer(flex: 1),
          ],
        ),
      ),
    );
  }
}
