import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ShowCustomDialog {
  simple(
    BuildContext context,
    String title,
    String message,
    String buttonText,
  ) {
    showDialog(
      context: context,
      builder: (BuildContext context) {
        return AlertDialog(
          title: Text(title),
          content: Text(message),
          actions: <Widget>[
            FlatButton(
              child: Text(buttonText),
              onPressed: () {
                Navigator.of(context).pop();
              },
            )
          ],
        );
      },
    );
  }
}
