import 'package:flutter/material.dart';

class ClassQuizResult extends StatefulWidget {
  const ClassQuizResult({
    @required this.classQuiz,
  });

  final classQuiz;

  @override
  _ClassQuizResultState createState() => _ClassQuizResultState();
}

class _ClassQuizResultState extends State<ClassQuizResult> {
  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
            ? false
            : true;

    return Container(
      //height: MediaQuery.of(context).size.height / 20,
      //width: MediaQuery.of(context).size.width / 20,

      child: Column(
        children: <Widget>[
          Spacer(flex: 1),
          Expanded(
            flex: 1,
            child: Text(widget.classQuiz.quizPassed
                ? "Well done!"
                : "You need to restart the quiz!"),
          ),
          Spacer(flex: 1),
          RaisedButton(
            onPressed: () {
              if (widget.classQuiz.quizPassed) {
                Navigator.of(context).pop();
                Navigator.of(context).pop();
              } else {
                Navigator.of(context).pop();
              }
            },
            child: Text("Continue"),
          ),
          Spacer(flex: 1),
        ],
      ),
    );
  }
}
