import 'package:flutter_firebase_basic_tools/widgets/card_holder.dart';
import 'package:flutter/material.dart';

class CoursesCarouselItem extends StatefulWidget {
  const CoursesCarouselItem({
    this.imageUrl,
    this.title,
    this.subtitle,
    this.text,
  });

  final String imageUrl;
  final String title;
  final String subtitle;
  final String text;

  @override
  _CoursesCarouselItemState createState() => _CoursesCarouselItemState();
}

class _CoursesCarouselItemState extends State<CoursesCarouselItem> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return CardHolder(
      child: Container(
        child: Card(
          elevation: 5,
          child: Container(
            decoration: BoxDecoration(
              image: DecorationImage(
                fit: BoxFit.cover,
                image: AssetImage(
                  widget.imageUrl,
                ),
              ),
            ),
          ),
        ),
      ),
      title: "progress",
      subtitle: "progress",
      text: "progress",
      onPress: () {
        //Navigator.pushNamed(context, '/class_session');
      },
    );
  }
}
